## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-cosmosdb

Name:           python-%{srcname}
Version:        7.0.0~b2
Release:        %autorelease
Summary:        Microsoft Azure Cosmos DB Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} 7.0.0b2 zip}

BuildArch:      noarch


BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure Cosmos DB Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-7.0.0b2


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 7.0.0~b2-3
- Trivial spec file update

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 7.0.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 7.0.0~b2-1
- Update to 7.0.0b2

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 6.4.0-4
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 6.4.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 6.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 6.4.0-1
- Update to 6.4.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 6.3.0-1
- Initial import (#1971795)
